#ifndef PWMTOOLS_H
#define PWMTOOLS_H
#include "f281xpwm.h"

void InitXPWM(void);
void InitPWM(void);
void PWM_interrupt(void);
void initPWM_Variables(void);

void slow_vector_update(void);

extern PWMGEND pwmd;

extern int VAR_FREQ_PWM_XTICS;
extern int VAR_PERIOD_MAX_XTICS;
extern int VAR_PERIOD_MIN_XTICS;
extern int VAR_PERIOD_MIN_BR_XTICS;
#endif //PWMTOOLS_H

